ChartDirector Ver 5.0 (PHP Edition)

Axis.setDateScale

Usage

setDateScale(lowerLimit, upperLimit [, majorTickInc [, minorTickInc ]])

Description

Sets the axis to use the given date scale.

Arguments

Argument | Default | Description
--- | --- | ---
lowerLimit | (Mandatory) | The lower bound of the axis, representing using one of the ChartDirector supported date format.
upperLimit | (Mandatory) | The upper bound of the axis, representing using one of the ChartDirector supported date format.
majorTickInc | 0 | Adds major ticks to the axis, where the major ticks are separated by majorTickInc seconds. Each major tick will have an associated text label for the value if the axis at the tick. The value 30 * 86400 will be assume to mean one month (which actually contains a variable number of seconds), and 60 * 86400 will be assumed to mean 2 months and so on. The value 360 * 86400 therefore means 12 months, or 1 year. 0 means the major ticks will be automatically determined. In this case, the lowerLimit and upperLimit may be automatically adjusted to align with the ticks. Use NoValue to disable major ticks.
minorTickInc | 0 | Adds minor ticks to the x-axis, where the minor ticks are separated by minorTickInc seconds. The value 30 * 86400 will be assume to mean one month (which actually contains a variable number of seconds), and 60 * 86400 will be assumed to mean 2 months and so on. The value 360 * 86400 therefore means 12 months, or 1 year. 0 means no minor tick is used.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.